/*
 * Tencent is pleased to support the open source community by making Spring Cloud Tencent available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company. All rights reserved.
 *
 * Licensed under the BSD 3-Clause License (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * https://opensource.org/licenses/BSD-3-Clause
 *
 * Unless required by applicable law or agreed to in writing, software distributed
 * under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */

package com.tencent.cloud.polaris.ratelimit.config;

import org.junit.Test;
import org.junit.runner.RunWith;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringRunner;

import static org.assertj.core.api.Assertions.assertThat;

/**
 * Test for {@link PolarisRateLimitProperties}.
 *
 * @author Haotian Zhang
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = PolarisRateLimitPropertiesTest.TestApplication.class)
@ActiveProfiles("test")
public class PolarisRateLimitPropertiesTest {

	@Autowired
	private PolarisRateLimitProperties polarisRateLimitProperties;

	@Test
	public void testDefaultInitialization() {
		assertThat(polarisRateLimitProperties).isNotNull();
		assertThat(polarisRateLimitProperties.getRejectRequestTips()).isEqualTo("xxx");
		assertThat(polarisRateLimitProperties.getRejectRequestTipsFilePath()).isEqualTo("/index.html");
		assertThat(polarisRateLimitProperties.getRejectHttpCode()).isEqualTo(419);
		assertThat(polarisRateLimitProperties.getMaxQueuingTime()).isEqualTo(500L);
	}

	@SpringBootApplication
	protected static class TestApplication {

	}
}
